// -*-C++-*-
/*!
 * @file  BetaRnaSVC_impl.h
 * @brief Service implementation header of BetaRna.idl
 * @date  $Date: 2007/01/11 07:44:39 $
 *
 * $Id: cxx_svc_impl.py,v 1.3 2007/01/11 07:44:39 n-ando Exp $
 */

#include "BetaRnaSkel.h"


#ifndef BETARNASVC_IMPL_H
#define BETARNASVC_IMPL_H
 
#include	"CBetaDriver.h"
 
/*
 * Example class implementing IDL interface BetaRna
 */
class BetaRnaSVC_impl
 : public virtual POA_BetaRna,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~BetaRnaSVC_impl();

 public:
   // standard constructor
   BetaRnaSVC_impl();
   virtual ~BetaRnaSVC_impl();

   // attributes and operations
   CORBA::Short Init(const char* sRnaDir, CORBA::Short iInputCh);
   CORBA::Short Exec(CORBA::Short iTalkerID, const BetaRna::DArray& aInputData, CORBA::Short& iResultID, CORBA::Double& dTrusty);

private:
	CBetaDriver		m_cBD;
};



#endif // BETARNASVC_IMPL_H


