/******************************************************************************
 *      (C)Copyright        AdIn Research, Inc.         1991-1992.            *
 ******************************************************************************
 ******************************************************************************
 *
 *  File name  : rna01usr.h
 *
 *  Note       : Beta-RNA model01 Application Programmer's File
 *
 * $Revision: 1.27 $
 * $Author: fujimaki $
 * $Date: 1999/11/05 03:03:48 $
 * $Locker:  $
 *
 *****************************************************************************/
#if !defined(_RNA01USR_H_)
#define _RNA01USR_H_

#include "rna00usr.h"

#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus */

/********** Initialization Macro **********/
#if defined(RCINIT_M01)
# undef RCINIT_M01
# define RCINIT_M01     (RCInit01())
#endif /* RCINIT_M01 */

/********** Halting Macro **********/
#if defined(RCHALT_M01)
# undef RCHALT_M01
# define RCHALT_M01     (RCHalt01())
#endif /* RCHALT_M01 */

/********** Function Prototypes and Macros **********/
EXPORT Ferr PUBLIC PROTOTYPE(RCInit01, (void));
EXPORT Ferr PUBLIC PROTOTYPE(RCHalt01, (void));

EXPORT Ferr PUBLIC PROTOTYPE(RCCreateSensorSet, (RNUM, RNUM, RID *, RNUM, RID *));
EXPORT Ferr PUBLIC PROTOTYPE(RCDeleteSensorSet, (RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCSetSensorNormTbl, (RID, RID, RID *, RNUM));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetSensorNormTbl, (RID, RID, RID *, RNUM));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetSensorSetInfo, (RID, RNUM *, RNUM *));

EXPORT Ferr PUBLIC PROTOTYPE(RCSetAnaSensorNorm, (RID, RID, RANA));
EXPORT Ferr PUBLIC PROTOTYPE(RCSetAnaSensorReal, (RID, RID, double));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetAnaSensorNorm, (RID, RID, RANA *));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetAnaSensorReal, (RID, RID, double *));
EXPORT Ferr PUBLIC PROTOTYPE(RCAddAnaSensor, (RID, RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCRemoveAnaSensor, (RID, RID));

EXPORT Ferr PUBLIC PROTOTYPE(RCSetDigSensor, (RID, RID, RDIG));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetDigSensor, (RID, RID, RDIG *));
EXPORT Ferr PUBLIC PROTOTYPE(RCAddDigSensor, (RID, RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCRemoveDigSensor, (RID, RID));

EXPORT Ferr PUBLIC PROTOTYPE(RCCreatePatternTable, (RNUM, RNUM, RNUM, RID *));
EXPORT Ferr PUBLIC PROTOTYPE(RCDeletePatternTable, (RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCAddPatternSet, (RID, RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCRemovePatternSet, (RID, RID));

EXPORT Ferr PUBLIC PROTOTYPE(RCSetAnaPattern, (RID, RID, RID, RMF *, RANA));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetAnaPattern, (RID, RID, RID, RMF *, RANA *));
EXPORT Ferr PUBLIC PROTOTYPE(RCAddAnaPattern, (RID, RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCRemoveAnaPattern, (RID, RID));

EXPORT Ferr PUBLIC PROTOTYPE(RCSetDigPattern, (RID, RID, RID, RDIG, RANA));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetDigPattern, (RID, RID, RID, RDIG *, RANA *));
EXPORT Ferr PUBLIC PROTOTYPE(RCAddDigPattern, (RID, RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCRemoveDigPattern, (RID, RID));

EXPORT Ferr PUBLIC PROTOTYPE(RCSetPatternSetWeight, (RID, RID, RANA));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetPatternSetWeight, (RID, RID, RANA *));
EXPORT Ferr PUBLIC PROTOTYPE(RCSetPatternMatchType, (RID, RMTYPE));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetPatternMatchType, (RID, RMTYPE *));
EXPORT Ferr PUBLIC PROTOTYPE(RCSetPatternMatchRule, (RID, RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetPatternMatchRule, (RID, RID *));
EXPORT Ferr PUBLIC PROTOTYPE(RCSetPatternMatchMode, (RMMODE));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetPatternMatchMode, (RMMODE *));
EXPORT Ferr PUBLIC PROTOTYPE(RCMatchPattern, (RID, RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetPatMatchResult, (RID, RID *, RNUM));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetPatEachResult, (RID, RID, RMD *, RMD *, RNUM));
EXPORT Ferr PUBLIC PROTOTYPE(RCSetPatternOutput, (RID, RID, RID, RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetPatternOutput, (RID, RID, RID *, RID *));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetPatMatchCycle, (RID, RCYCLE *));
EXPORT Ferr PUBLIC PROTOTYPE(RCMixPatternOutput, (RID, RNUM, RANA *, RNUM, RMTYPE));
EXPORT Ferr PUBLIC PROTOTYPE(RCSetPatTableOutput, (RID, RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetPatTableOutput, (RID, RID *));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetPatternTableInfo,
                      (RID, RNUM *, RNUM *, RNUM *, RMTYPE *));

EXPORT Ferr PUBLIC PROTOTYPE(RCCreatePatternGroup, (RID, RID *, RNUM, RID *));
EXPORT Ferr PUBLIC PROTOTYPE(RCDeletePatternGroup, (RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCAddPatternTableID, (RID, RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCRemovePatternTableID, (RID, RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCAddPatGroupAnaElem, (RID, RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCRemovePatGroupAnaElem, (RID, RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCAddPatGroupDigElem, (RID, RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCRemovePatGroupDigElem, (RID, RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCSetPatGroupFusion, (RID, RNUM));
EXPORT Ferr PUBLIC PROTOTYPE(RCSetPatGroupThreshold, (RID, RID, RMD));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetPatGroupThreshold, (RID, RID, RMD *));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetPatGroupParam, (RID, RNUM *, RCYCLE *));
EXPORT Ferr PUBLIC PROTOTYPE(RCMatchPatternGroup, (RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetPatGroupMatchDegree, (RID, RID, RMD *, RMD *, RMD *));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetPatGroupMatchResult, (RID, RID *, RNUM));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetPatGroupInfo, (RID, RID *, RNUM *));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetPatGroupPTList, (RID, RID *, RNUM));
EXPORT Ferr PUBLIC PROTOTYPE(RCSetPatGroupSensor, (RID, RID));

#if defined(__cplusplus)
}
#endif /* __cplusplus */

#endif /* not _RNA01USR_H_ */
