/******************************************************************************
 *      (C)Copyright        AdIn Research, Inc.         1991-1992.            *
 ******************************************************************************
 ******************************************************************************
 *
 *  File name  : rna02usr.h
 *
 *  Note       : Beta-RNA model02 Application Programmer's File
 *
 * $Revision: 1.10 $
 * $Author: fujimaki $
 * $Date: 1999/11/05 03:03:48 $
 * $Locker:  $
 *
 *****************************************************************************/
#if !defined(_RNA02USR_H_)
#define _RNA02USR_H_

#include "rna00usr.h"

#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus */

#if defined(RCINIT_M02)
# undef RCINIT_M02
# define RCINIT_M02     RCInit02()
#endif /* RCINIT_M02 */

#if defined(RCHALT_M02)
# undef RCHALT_M02
# define RCHALT_M02     RCHalt02()
#endif /* RCHALT_M02 */

/********** Function Prototypes **********/
EXPORT Ferr PUBLIC PROTOTYPE(RCInit02, (void));
EXPORT Ferr PUBLIC PROTOTYPE(RCHalt02, (void));

EXPORT Ferr PUBLIC PROTOTYPE(RCCreateDataTable, (RNUM, RNUM, RNUM, RID *, RNUM, RID *));
EXPORT Ferr PUBLIC PROTOTYPE(RCDeleteDataTable, (RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCSetDataNormTbl, (RID, RID, RID *, RNUM));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetDataNormTbl, (RID, RID, RID *, RNUM));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetDataTableInfo, (RID, RNUM *, RNUM *, RNUM *));
EXPORT Ferr PUBLIC PROTOTYPE(RCAddDataSet, (RID, RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCRemoveDataSet, (RID, RID));

EXPORT Ferr PUBLIC PROTOTYPE(RCSetAnaDataNorm, (RID, RID, RID, RANA));
EXPORT Ferr PUBLIC PROTOTYPE(RCSetAnaDataReal, (RID, RID, RID, double));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetAnaDataNorm, (RID, RID, RID, RANA *));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetAnaDataReal, (RID, RID, RID, double *));
EXPORT Ferr PUBLIC PROTOTYPE(RCAddAnaData, (RID, RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCRemoveAnaData, (RID, RID));

EXPORT Ferr PUBLIC PROTOTYPE(RCSetDigData, (RID, RID, RID, RDIG));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetDigData, (RID, RID, RID, RDIG *));
EXPORT Ferr PUBLIC PROTOTYPE(RCAddDigData, (RID, RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCRemoveDigData, (RID, RID));

EXPORT Ferr PUBLIC PROTOTYPE(RCGetDataMatchResult, (RID, RID *, RNUM));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetDataEachResult, (RID, RID, RMD *, RMD *, RNUM));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetDataMatchCycle, (RID, RCYCLE *));

EXPORT Ferr PUBLIC PROTOTYPE(RCCreateCondTable, (RNUM, RNUM, RNUM, RID *));
EXPORT Ferr PUBLIC PROTOTYPE(RCDeleteCondTable, (RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCAddCondSet, (RID, RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCRemoveCondSet, (RID, RID));

EXPORT Ferr PUBLIC PROTOTYPE(RCSetAnaCond, (RID, RID, RID, RMF *, RANA));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetAnaCond, (RID, RID, RID, RMF *, RANA *));
EXPORT Ferr PUBLIC PROTOTYPE(RCAddAnaCond, (RID, RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCRemoveAnaCond, (RID, RID));

EXPORT Ferr PUBLIC PROTOTYPE(RCSetDigCond, (RID, RID, RID, RDIG, RANA));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetDigCond, (RID, RID, RID, RDIG *, RANA *));
EXPORT Ferr PUBLIC PROTOTYPE(RCAddDigCond, (RID, RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCRemoveDigCond, (RID, RID));

EXPORT Ferr PUBLIC PROTOTYPE(RCSetCondSetWeight, (RID, RID, RANA));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetCondSetWeight, (RID, RID, RANA *));
EXPORT Ferr PUBLIC PROTOTYPE(RCSetCondMatchType, (RID, RMTYPE));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetCondMatchType, (RID, RMTYPE *));
EXPORT Ferr PUBLIC PROTOTYPE(RCSetCondMatchRule, (RID, RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetCondMatchRule, (RID, RID *));
EXPORT Ferr PUBLIC PROTOTYPE(RCSetCondMatchMode, (RMMODE));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetCondMatchMode, (RMMODE *));
EXPORT Ferr PUBLIC PROTOTYPE(RCMatchCond, (RID, RID));
EXPORT Ferr PUBLIC PROTOTYPE(RCMatchCondSet, (RID, RID, RID, RID, RMD *, RNUM));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetCondMatchResult, (RID, RID *, RNUM));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetCondEachResult, (RID, RID, RMD *, RMD *, RNUM));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetCondMatchCycle, (RID, RCYCLE *));
EXPORT Ferr PUBLIC PROTOTYPE(RCGetCondTableInfo,
                      (RID, RNUM *, RNUM *, RNUM *, RMTYPE *));

#if defined(__cplusplus)
}
#endif /* __cplusplus */

#endif /* not _RNA02USR_H_ */
