/******************************************************************************
 *      (C)Copyright        AdIn Research, Inc.         1991-1992.            *
 ******************************************************************************
 ******************************************************************************
 *
 *  File name  : rnaZ0usr.h
 *
 *  Note       : Beta-RNA Miscellaneous Functions
 *
 * $Revision: 1.13 $
 * $Author: fujimaki $
 * $Date: 1999/11/05 03:03:48 $
 * $Locker:  $
 *
 *****************************************************************************/
#if !defined(_RNAZ0USR_H_)
#define _RNAZ0USR_H_

#include "rna00usr.h"

#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus */

/***************************************************************************** 
                        Configuration File I/O
 *****************************************************************************/
#if defined(MSDOS)
# define RZ_DEFAULT_CF_FILENAME     "_rnaconf"
#else /* not MSDOS */
# define RZ_DEFAULT_CF_FILENAME     ".rnaconf"
#endif /* not MSDOS */
#define RZ_CF_ENVNAME               "RNACONF"
#define RZ_HOME_ENVNAME             "HOME"
#define RZ_CF_BUFSIZE               (128)
#define RZ_CF_MAXKEYLEN             (48)
#define RZ_CF_MAXVALLEN             ((RZ_CF_BUFSIZE) - (RZ_CF_MAXKEYLEN))

EXPORT Ferr PUBLIC  PROTOTYPE(RZOpenConfFile, (char *));
EXPORT Ferr PUBLIC  PROTOTYPE(RZCloseConfFile, (void));
EXPORT Ferr PUBLIC  PROTOTYPE(RZGetConfEntry, (char *, char *));

/**STDEXT_BEGIN**/

EXPORT char* PUBLIC PROTOTYPE(RZGetErrorMessage, (char *, int));
EXPORT void  PUBLIC PROTOTYPE(RZPrintError, (FILE *, char *));

#define RS_GetErrorMessage(s, l)    (RZGetErrorMessage(s, l))
#define RS_PrintError(fp, s)        (RZPrintError(fp, s))

/**STDEXT_END**/

#if defined(__cplusplus)
}
#endif /* __cplusplus */

#endif /* _RNAZ0USR_H_ */
